All Products
Search
Document Center

Installation

Last Updated: Sep 02, 2019

This topic describes how to install the Operation Orchestration Service (OOS) SDK for Java.

Environment requirements

Java 1.8 or later is required.

Installation

  • Configure the OOS SDK as a Maven dependency for your project

To use the OOS SDK for Java in your project, you need to declare it as a dependency in the pom.xml file of your project. Take the OOS SDK for Java V1.0.0 as an example. Add the following code to < dependencies >:

  1. <dependency>
  2. <groupId>com.aliyun</groupId>
  3. <artifactId>aliyun-java-sdk-oos</artifactId>
  4. <version>1.0.0</version>
  5. </dependency>